Class | Tk::UTF8_String
In: | tk/lib/tk/encodedstr.rb
Parent: | EncodedString

### Methods

new to_backslash to_backslash_sequence

### Constants

Encoding | = | 'utf-8'.freeze

### Public Class methods

new(str)

[Source]

    # File tk/lib/tk/encodedstr.rb, line 98
        def self.new(str)
          super(self.subst_utf_backslash(str))
        end

### Public Instance methods

to_backslash()

Alias for to_backslash_sequence

to_backslash_sequence()

[Source]

    # File tk/lib/tk/encodedstr.rb, line 102
        def to_backslash_sequence
          Tk::EncodedString.utf_to_backslash_sequence(self)
        end

[Validate]